# Class SegmentTransmuxingCompleteEvent

#### Hierarchy

- SegmentEvent
  - SegmentTransmuxingCompleteEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
type

## Constructors

### constructor

- new SegmentTransmuxingCompleteEvent(segmentInfo): SegmentTransmuxingCompleteEvent

- #### Parameters

  - segmentInfo: SegmentInfo

  #### Returns SegmentTransmuxingCompleteEvent

  Inherited from SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` type

type: "segmenttransmuxingcomplete" = Events.SegmentTransmuxingComplete

Overrides SegmentEvent.type